lpinfo(8)

NAME
lpinfo - zeige verfügbare Geräte oder Drucker (veraltet)

SYNOPSIS
lpinfo [ -E ] [ -h Server[:Port] ] [ -l ] [ --device-id Geräte-ID-Zeichenkette ] [ --exclude-schemes Schemenliste ] [ --include-schemes Schemenliste ] [ --language Standorteinstellung ] [ --make-and-model Name ] [ --product Name ] -m
lpinfo [ -E ] [ -h Server[:Port] ] [ -l ] [ --exclude-schemes Schemenliste ] [ --include-schemes Schemenliste ] [ --timeout Sekunden ] -v

BESCHREIBUNG
lpinfo listet die dem CUPS-Server bekannten verfügbaren Geräte oder Treiber auf. Die erste Form (-m) listet alle verfügbaren Treiber, während die zweite Form (-v) alle verfügbaren Geräte auflistet.

OPTIONEN
lpinfo akzeptiert die folgenden Optionen:

-E  Erzwingt Verschlüsselung bei Verbindungen zum Server.

-h Server[:Port]
    Wählt einen alternativen Server aus.

-l  Zeigt eine »lange« Auflistung von Geräten oder Treibern.

--device-id Geräte-ID-Zeichenkette
    Legt die IEEE-1284-Geräte-ID, die übereinstimmen muss, wenn Gerätetreiber mit der Option -m aufgelistet werden, fest.

--exclude-schemes Schemenliste
    Gibt eine kommabegrenzte Liste von Geräte- oder PPD-Schemen an, die aus den Ergebnissen ausgeschlossen werden sollten. Statische PPD-Dateien benutzen das »file«-Schema.

--include-schemes Schemenliste
    Legt eine kommabegrenzte Liste von PPD-Schemata, die in den Ergebnissen enthalten sein sollen, fest. Statische PPD-Dateien benutzen das »file«-Schema.

--language Standorteinstellung
    Legt die Sprache, die übereinstimmen muss, wenn Treiber mit der Option -m aufgelistet werden, fest.

--make-and-model Name
    Legt die Marke und Modell, die übereinstimmen müssen, wenn Treiber mit der Option -m aufgelistet werden, fest.

--product Name
    Legt das Produkt, das übereinstimmen muss, wenn Treiber mit der Option -m aufgelistet werden, fest.

--timeout Sekunden
    Legt die Zeitüberschreitung, wenn Geräte mit der Option -v aufgelistet werden, fest.

KONFORMITÄT
Der Befehl lpinfo ist eine Besonderheit von CUPS.

BEISPIELE
Alle Geräte auflisten:

    lpinfo -v

Alle Treiber auflisten:

    lpinfo -m

Alle auf »HP LaserJet« passenden Treiber auflisten:

    lpinfo --make-and-model "HP LaserJet" -m

HINWEISE
CUPS-Druckertreiber und -Backends sind veraltet und werden in einer zukünftigen Funktionsveröffentlichung von CUPS nicht mehr unterstützt. Drucker, die IPP nicht unterstützen, können mittels Anwendungen wie ippeveprinter(1) unterstützt werden.

SIEHE AUCH
lpadmin(8), CUPS-Online-Hilfe (http://localhost:631/help)

COPYRIGHT
Copyright © 2021-2022 by OpenPrinting.